Permalink
Browse files

made a gem with jeweler, that's all

  • Loading branch information...
1 parent 7c50852 commit 24d1aafdb1bed6a05e1db4bc10ca76865aa923a3 @enriclluelles enriclluelles committed Oct 22, 2010
Showing with 61 additions and 1 deletion.
  1. +15 −0 Rakefile
  2. +1 −1 VERSION
  3. +45 −0 translate_routes.gemspec
View
@@ -20,3 +20,18 @@ Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.rdoc_files.include('README')
rdoc.rdoc_files.include('lib/**/*.rb')
end
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |gem|
+ gem.name = "translate_routes"
+ gem.summary = %Q{Translate the routes of your app easily}
+ gem.description = %Q{Translate the routes of your app easily}
+ gem.email = "raul@murciano.net"
+ gem.homepage = "http://github.com/raul/translate_routes"
+ gem.authors = ["Raul Murciano"]
+ gem.files = Dir["{lib}/**/*", "{test}/**/*"]
+ end
+rescue LoadError
+ puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
+end
View
@@ -1 +1 @@
-0.0.0
+0.0.2
@@ -0,0 +1,45 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{translate_routes}
+ s.version = "0.0.2"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Raul Murciano"]
+ s.date = %q{2010-10-23}
+ s.description = %q{Translate the routes of your app easily}
+ s.email = %q{raul@murciano.net}
+ s.extra_rdoc_files = [
+ "ChangeLog",
+ "README.markdown"
+ ]
+ s.files = [
+ "lib/route_translator.rb",
+ "lib/tasks/translate_routes_tasks.rake",
+ "lib/translate_routes_test_helper.rb",
+ "test/locales/routes.yml",
+ "test/translate_routes_test.rb"
+ ]
+ s.homepage = %q{http://github.com/raul/translate_routes}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.7}
+ s.summary = %q{Translate the routes of your app easily}
+ s.test_files = [
+ "test/translate_routes_test.rb"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end
+

0 comments on commit 24d1aaf

Please sign in to comment.